---
title: MediaError.message
slug: Web/API/MediaError/message
tags:
  - API
  - Audio
  - Errors
  - HTML DOM
  - Media
  - MediaError
  - Property
  - Video
  - message
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The read-only property <code><strong>MediaError.message</strong></code> returns a {{domxref("DOMString")}} which contains a human-readable string offering specific diagnostic details related to the error described by the <code>MediaError</code> object, or an empty string (<code>""</code>) if no diagnostic information can be determined or provided.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>errorMessage</em> = <em>mediaError</em>.message;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} providing a detailed, specific explanation of what went wrong and possibly how it might be fixed. This is <em>not</em> a generic description of the {{domxref("MediaError.code")}} property's value, but instead goes deeper into the specifics of this particular error and its circumstances. If no specific details are available, this string is empty.</p>

<h2 id="Example">Example</h2>

<p>This example creates a {{HTMLElement("audio")}} element, establishes an error handler for it, then lets the user click buttons to choose whether to assign a valid audio file or a missing file to the element's {{htmlattrxref("src", "audio")}} attribute. The error handler outputs a message to a box onscreen describing the error, including both the <code>code</code> and the <code>message</code>.</p>

<p>Only the relevant parts of the code are displayed; you can <a href="https://github.com/mdn/dom-examples/blob/master/media/mediaerror/">see the complete source code here</a>.</p>

<p>The example creates an {{HTMLElement("audio")}} element and lets the user assign either a valid music file to it, or a link to a file which doesn't exist. This lets us see the behavior of the {{event("error")}} event handler, which is received by an event handler we add to the <code>&lt;audio&gt;</code> element itself.</p>

<p>The error handler looks like this:</p>

<pre class="brush: js">  audioElement.onerror = function() {
    let s = "";
    let err = audioElement.error;

    switch(err.code) {
      case MediaError.MEDIA_ERR_ABORTED:
        s += "The user canceled the audio.";
        break;
      case MediaError.MEDIA_ERR_NETWORK:
        s+= "A network error occurred while fetching the audio.";
        break;
      case MediaError.MEDIA_ERR_DECODE:
        s+= "An error occurred while decoding the audio.";
        break;
      case MediaError.MEDIA_ERR_SRC_NOT_SUPPORTED:
        s+= "The audio is missing or is in a format not supported by your browser.";
        break;
      default:
        s += "An unknown error occurred.";
        break;
    }

    let message = err.message;

    if (message &amp;&amp; message.length) {
      s += " " + message;
    }

    displayErrorMessage("&lt;strong&gt;Error " + err.code + ":&lt;/strong&gt; " + s + "&lt;br&gt;");
  };</pre>

<p>This gets the {{domxref("MediaError")}} object describing the error from the {{domxref("HTMLMediaElement.error", "error")}} property on the {{domxref("HTMLAudioElement")}} representing the audio player.  The error's {{domxref("MediaError.code", "code")}} attribute is checked to determine a generic error message to display, and, if <code>message</code> is not empty, it's appended to provide additional details. Then the resulting text is output to the log.</p>

<h3 id="Result">Result</h3>

<p>You can try out this example below, and can <a href="https://mdn.github.io/dom-examples/media/mediaerror/">see the example in action outside this page here</a>.</p>

<p>{{ EmbedGHLiveSample('dom-examples/media/mediaerror', 650, 200) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "embedded-content.html#dom-mediaerror-message", "MediaError.message")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaError.message")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>{{HTMLElement("video")}} and {{HTMLElement("audio")}}</li>
 <li>The interface defining it, {{domxref("MediaError")}}.</li>
</ul>
